from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XShapeCombiner(XInterface, Protocol):
    def combine(self, xShapes: XShapes) -> XShape: ...
    def split(self, Group: XShape) -> None: ...
